Bug 170562 - [MAINTAINER] audio/libmusicbrainz: Set EXPIRATION_DATE
Summary: [MAINTAINER] audio/libmusicbrainz: Set EXPIRATION_DATE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-12 13:50 UTC by Jason E. Hale
Modified: 2012-08-13 12:35 UTC (History)
0 users

See Also:


Attachments
2012-08-12-libmusicbrainz.diff (437 bytes, patch)
2012-08-12 13:50 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason E. Hale 2012-08-12 13:50:01 UTC
- Set EXPIRATION_DATE for audio/libmusicbrainz
- No other ports depend on it now, so set the date to one month from now
- While here, remove unneeded pkg-config dependency

How-To-Repeat: - Use attached diff
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2012-08-13 12:18:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 2 dfilter service freebsd_committer 2012-08-13 12:26:29 UTC
Author: rm
Date: Mon Aug 13 11:26:19 2012
New Revision: 302464
URL: http://svn.freebsd.org/changeset/ports/302464

Log:
  - set EXPIRATION_DATE to 2012-09-12 (the port already had DEPRECATED line)
  - remove unneeded pkg-config dependency
  
  PR:		170562
  Submitted by:	Jason E. Hale <bsdkaffee at gmail dot com> (maintainer)

Modified:
  head/audio/libmusicbrainz/Makefile

Modified: head/audio/libmusicbrainz/Makefile
==============================================================================
--- head/audio/libmusicbrainz/Makefile	Mon Aug 13 10:46:26 2012	(r302463)
+++ head/audio/libmusicbrainz/Makefile	Mon Aug 13 11:26:19 2012	(r302464)
@@ -20,9 +20,10 @@ LIB_DEPENDS=	expat.6:${PORTSDIR}/textpro
 CONFLICTS=	musicbrainz-1.*
 
 DEPRECATED=	MusicBrainz RDF webservice no longer functions
+EXPIRATION_DATE=2012-09-12
 
 USE_GMAKE=	yes
-USE_GNOME=	gnomehack pkgconfig
+USE_GNOME=	gnomehack
 GNU_CONFIGURE=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2012-08-13 12:35:29 UTC
State Changed
From-To: open->closed

Committed, thank you!